// file A.hpp

/** \class A
    \brief The A class.
*/
template<class HandleTmpl>
class A {
private:

public:

  /** \brief Loads file.
  */
  virtual ErrorCode loadMesh(const char* filename,
                             const int* active_block_id_list = NULL,
                             const int num_blocks = 0) = 0;

  /** \brief Writes mesh to file.
  */
  virtual ErrorCode writeMesh(const char* filename,
                              const HandleTmpl * output_list = NULL,
                              const int num_blocks = 0) = 0;

}; // class A
